Bug 94016 - make check MesaExtensionsTest.AlphabeticallySorted regression
Summary: make check MesaExtensionsTest.AlphabeticallySorted regression
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords: bisected, regression
Depends on:
Blocks:
 
Reported: 2016-02-06 00:32 UTC by Vinson Lee
Modified: 2016-02-07 22:57 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2016-02-06 00:32:55 UTC
mesa: 5b51b2e00013af70072106e9d34905326fc357fc (master 11.2.0-devel)

[----------] 1 test from MesaExtensionsTest
[ RUN      ] MesaExtensionsTest.AlphabeticallySorted
mesa_extensions.cpp:49: Failure
Expected: (strcmp(current_str, next_str)) < (0), actual: 7 vs 0
[  FAILED  ] MesaExtensionsTest.AlphabeticallySorted (0 ms)
[----------] 1 test from MesaExtensionsTest (0 ms total)


1d79b9958090d5606212a56c2173626519f00ca8 is the first bad commit
commit 1d79b9958090d5606212a56c2173626519f00ca8
Author: Marek Olšák <marek.olsak@amd.com>
Date:   Tue Feb 2 01:22:52 2016 +0100

    mesa: implement GL_NVX_gpu_memory_info (v2)
    
    v2: implement eviction queries properly
        add gl_memory_info structure
    
    Reviewed-by: Ilia Mirkin <imirkin@alum.mit.edu>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>

:040000 040000 a506dae6847240f6f6900651862ec58dbb1d106e 9b679b62127f7ac673698eeb0d96b973621ceb09 M	src
bisect run success
Comment 1 Vinson Lee 2016-02-07 22:57:35 UTC
commit ccaf734275ede89bfc86f274a64570be715fed94
Author: Vinson Lee <vlee@freedesktop.org>
Date:   Fri Feb 5 23:16:31 2016 -0800

    mesa/extensions: Fix NVX_gpu_memory_info lexicographical order.
    
    Fixes MesaExtensionsTest.AlphabeticallySorted.
    
    Fixes: 1d79b9958090 ("mesa: implement GL_NVX_gpu_memory_info (v2)")
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=94016
    Signed-off-by: Vinson Lee <vlee@freedesktop.org>
    Reviewed-by: Marek Olšák <marek.olsak@amd.com>


bug/show.html.tmpl processed on Feb 25, 2017 at 20:35:29.
(provided by the Example extension).